/// @description Update the hangman stats
// You can write your code in this editor
draw_set_font(font0);
draw_set_color(c_white);
fsize = font_get_size(font0);
xoffset = 100;
yoffset = 2*fsize;

draw_set_halign(fa_left);
draw_set_valign(fa_center);

draw_text(global.score_x,global.score_y,"Score: " + string(score));

yword = y;

xhdr = 250
xvalue = 250;

clue_text = hman_clue;
clue_text = string_insert("Clue: ",hman_clue,0);

draw_text(xhdr,yword+(1*yoffset),clue_text);

draw_text(xvalue,yword+(2*yoffset),hman_letters);

draw_set_color(c_white);

draw_text(xhdr,yword+(3*yoffset),"Bad guesses: ");
draw_text(xhdr,yword+(4*yoffset),hman_guessed);

// Did player get all of the letters?
count_blanks = string_count("_",oHangman.hman_letters); 
if (count_blanks == 0) 
{
	//show_message("Great job!");
	with(obj_letter){
		instance_destroy(); // get rid of the letters that have been generated
	}
	
	if (global.bask < 1) {
		score += 200; // only increase score once!
	}
	 
	global.bask += 1;

}


if (global.bask > 0) 
{
	//global.bask++;
		// redraw the completed word so that it stands out!
	x1 = xvalue;
	y1 = yword + (2*yoffset);
	
	//show_message("oHangman Step says bask is " + string(global.bask));
}

if (global.bask > 30) // bask for a bit in the glory, then move on to the next word!
{
	global.wordnum++;
	global.bask = 0;

	hman_word = global.wordList[| global.wordnum]; // get the next word
	hman_clue = ds_map_find_value(global.clueList,hman_word); // get the clue that goes with it
	hman_letters = "";

	
	health = 8;
	//hman_clue = "Exotic pet: "  // Example
	for (var i=0; i < string_length(hman_word);i++)
	{
	hman_letters = string_insert(hman_letters,"_ ",0);
	//hman_letters = "_ _ _ _ _ _ _";
	}
	hman_guessed = "";
	hman_num = 0;
	
	// Create a mash-up of the word, the rest of the vowels, and 8 random characters:
	global.random_letters = string_insert("AEIOU",hman_word,0); // prepend all vowels
	for (i=0;i<10;i++) 
	{
		
		global.random_letters = string_insert(chr(irandom_range(65,90)),global.random_letters,0)
	}

	//show_debug_message("Letters generated this round will be " + global.random_letters);
	
	
}

// Did the player die?
if (health == 0)
{
	//show_message("Drat! ... you need to restart the game!");
	room_goto(rFailure);
}

draw_text(100,100,"Score: " + string(score));