/// @description Set up hangman globals

// Word lists for hangman
randomize();

global.wordList = ds_list_create(); 
global.clueList = ds_map_create();

ds_list_add(global.wordList,"TITANIC");
ds_map_add(global.clueList,"TITANIC","Movie: I'll never let go of you, Jack...");
ds_list_add(global.wordList,"SWITZERLAND");
ds_map_add(global.clueList,"SWITZERLAND","Land-locked European country");
ds_list_add(global.wordList,"CASABLANCA");
ds_map_add(global.clueList,"CASABLANCA","Movie: Play it <again> Sam");

ds_list_add(global.wordList,"JAGUAR");
ds_map_add(global.clueList,"JAGUAR","Big cat car");
ds_list_add(global.wordList,"PENGUIN");
ds_map_add(global.clueList,"PENGUIN","Antarctic resident");
ds_list_add(global.wordList,"TORTOISE");
ds_map_add(global.clueList,"TORTOISE","Not a turtle");

ds_list_add(global.wordList,"PIKACHU");
ds_map_add(global.clueList,"PIKACHU","Famous Pokemon");
ds_list_add(global.wordList,"APPALOOSA");
ds_map_add(global.clueList,"APPALOOSA","Breed of horse");
ds_list_add(global.wordList,"EQUATOR");
ds_map_add(global.clueList,"EQUATOR","Latitude 0.0.0");

ds_list_add(global.wordList,"GALAPAGOS");
ds_map_add(global.clueList,"GALAPAGOS","Darwin tossed marine iguanas here");
ds_list_add(global.wordList,"HELIUM");
ds_map_add(global.clueList,"HELIUM","Ballon gas");
ds_list_add(global.wordList,"JUPITER");
ds_map_add(global.clueList,"JUPITER","Largest planet in our solar system");

ds_list_add(global.wordList,"POSEIDON");
ds_map_add(global.clueList,"POSEIDON","Greek god of the sea");


ds_list_shuffle(global.wordList);

global.current_word = 1; // init to 1


// Player health
health = 8;

global.bask = 0; // enjoy the finished word
global.tut_done = 0;

global.score_x = 60;
global.score_y = 30;

global.level = 1;