/// @description Generate tiles and letters
// oGrountTile is 64 pixels wide, but game speed is 4 pixels
// probably need to keep the alarm no more than 16
alarm[0]=16;
//show_message("y is " + last_y);

// INIT
made_float1_tile = 0;
made_float2_tile = 0;
main_tile_y = 600; // All tiles must be close to this
tile_to_tile = 180; // Separation between main and floating
tile_to_letter = 32;

h  = choose(10,20,-10,-5);  // Adds a bit of variation
h2 = choose(2,8,12);

y_main = main_tile_y; // -h;  // removing the variability for now
y_float1 = y_main - tile_to_tile;
y_float2 = y_float1 - tile_to_tile;

y_mletter = y_main - tile_to_letter;
y_fletter1 = y_float1 - tile_to_letter - h2;
y_fletter2 = y_float2 - tile_to_letter - h2;

prob_main_letter = irandom_range(1,10);
prob_float1_tile = irandom_range(1,10);
prob_float2_tile = irandom_range(1,10);
prob_float1_letter = irandom_range(1,10);
prob_float2_letter = irandom_range(1,10);

// CREATE TILES
// Always create a main tile
instance_create_layer(room_width+48,y_main,"Instances",oGroundTile);
// Sometimes create a 1st or 2nd floating tile
if (prob_float1_tile > 7) {
	made_float1_tile = 1;
	instance_create_layer(room_width+48,y_float1,"Instances",oGroundFloat);
}
if (prob_float2_tile > 7) {
	made_float2_tile = 1;
	instance_create_layer(room_width+48,y_float2,"Instances",oGroundFloat);
}



// CREATE LETTERS
if (global.bask == 0)  // while not basking in the light of previous word success
{
	if ((prob_main_letter > 8) and (made_float1_tile == 0)){
		instance_create_layer(room_width+48,y_mletter,"Instances_letters",obj_letter);
	}
	if ((made_float1_tile) and (prob_float1_letter > 7) and (score > 60)){
		instance_create_layer(room_width+48,y_fletter1,"Instances_letters",obj_letter);
	}
	if ((made_float2_tile) and (prob_float2_letter > 6)){
		instance_create_layer(room_width+48,y_fletter2,"Instances_letters",obj_letter);
	}
}