/// @description Player jump and collisions
// control inputs
//sp = keyboard_check_pressed(vk_right);
if (keyboard_check_pressed(vk_up) || keyboard_check_pressed(vk_space)) kj = 1;
else kj = 0;


// collisions - x - horizontal
// For an endless runner, we have no speed; the environment is moving. 
// For now, let's just hop the player automatically.
if (0)  // make the main layer stay flat...remove the AutoJump requirement
{
if (place_meeting(x+8,y,oGroundTile)) 
{
	//show_message("About to meet the oGroundTile; initiating autoJump. vspd: " + string(vspd));
	
	// If it's just a tiny blip, let's just put the player on top of it and not die
	if (autoJumping == 0) // first jump is bigger
	{
		vspd += jumping/2;
		autoJumping = 1;
	} else {
		vspd += jumping/2;
	}
	
	//layer_hspeed("Instances",0);  Doesn't solve this particular problem
	// if there is an object in front of us, only go TO it and not into it
	//while (!place_meeting(x+sign(hspd),y,oGroundTile)) 
	//{
	//	x+=sign(hspd);
	//}
	//hspd = 0;
	
} else {
	if (autoJumping == 1) // time to stop adding to the jump; we're clear
	{
		vspd = -6;
		autoJumping = 0;
	}
}
}



// collisions - y - vertical
// If we already messed up, move up by 1
if (place_meeting(x,y,oGroundTile)) {
	x = x+1;
}

// If we're going to hit the object on the next step...just go until we touch
if (place_meeting(x,y+vspd,oGroundTile)) 
{
	// if there is a pixel beneath us OR above us, our object player will stop
	while (!place_meeting(x,y+sign(vspd),oGroundTile)) 
	{
		y+=sign(vspd);
	}
	if (sign(vspd) == 1)
		{
		grounded = 1;
		autoJumping = 0;
		}
	vspd = 0;
	
}
else
{
	grounded = 0;
	y += vspd;      // okay to keep falling
}


// key inputs for player
if kj
{
		if grounded
		{
			vspd = jumping;
		}
		else
		{
			// Try allowing a double jump
			if (vspd < .4*jumping)
			{
				vspd += .4*jumping;
			}
			
			
			if (0) {
			// need to be able to jump if we're just a little over the ground due to AutoJump
			if (place_meeting(x,y+vspd,oGroundTile)) {
				vspd = jumping;
			}}
		}
}
vspd += grav;
