/// @description Check collisions
// You can write your code in this editor
if (x <= -1010) instance_destroy();
else x -= 4;

ltr = chr(next_letter);
count_already_guessed = 0;
count_bad_guess = 0;

// If collide with player, disappear, and check hangman status
if (place_meeting(x,y,obj_player))
{
	//show_message("Hit a letter: " + ltr);
	
	// Already correctly guessed that letter?
	count_already_guessed = string_count(ltr,oHangman.hman_letters);
	//show_message("count of previous finds of " + ltr + " is " + string(count_already_guessed));
	
	// Check to see if it is in our hman_word
	var matched_letters = 0;
	for (var i = 1; i < string_length(oHangman.hman_word)+1; i++)
	{
		check_against = string_char_at(oHangman.hman_word,i);
		//show_message("Checking against letter in word: " + check_against);
		
		if (check_against == ltr) {
			//show_message("Match! i: " + string(i));
			matched_letters++;
			oHangman.hman_letters = string_set_byte_at(oHangman.hman_letters,(2*i)-1,next_letter); // replace _ with the letter

		}
	}
	
	// Already incorrectly guessed that letter?
	count_bad_guess = string_count(ltr,oHangman.hman_guessed);
	
	//show_message("count of previous finds of " + ltr + " is " + string(count_already_guessed));
	
	if ((matched_letters > 0) and (count_already_guessed == 0)) // New match
	{
		var newpts = matched_letters * 100 / string_length(oHangman.hman_word);
		score += newpts;
		//show_message("New match..you get " + string(newpts) + " points");
	}

	if (matched_letters == 0) {
		//show_message("No match...");
		if (count_bad_guess == 0) {    // New mistake
			//show_message("New mistake...");
			oHangman.hman_guessed = string_insert(oHangman.hman_guessed,ltr,0);
			//this is also where we will adjust health and sprite
			health--;
		}
	}


	instance_destroy();
	
	//show_message("Health is now: " + string(health));
}

